package rand.asset_forfeiture;

import javax.swing.*;
import java.awt.event.*;
import java.awt.BorderLayout;

/** This is a simple helper class to show help messages in a standard
 * way.
 */
public class HelpDialog extends JDialog implements ActionListener {

    /** The constructor simply takes the message as desired. It is up
     * to the caller to set the dialog to be visible. By default, the
     * dialog is modal, but the caller can change that (as well as any
     * other JDialog parameter).
     *
     * \param s the message that will be displayed in the dialog
     */
    public HelpDialog(String s) {
	super((JFrame) null, "Help", true);
	JTextArea jta = new JTextArea(s);
	jta.setRows(5);
	jta.setColumns(25);
	jta.setLineWrap(true);
	jta.setWrapStyleWord(true);
	jta.setEditable(false);
	add(jta,BorderLayout.CENTER);

	JButton ok = new JButton("OK");
	ok.addActionListener(this);
	add(ok, BorderLayout.SOUTH);

	getRootPane().setDefaultButton(ok);
	pack();
    }

    /** The only events are clicking the OK button.
     *
     * \param evt the ActionEvent that prompted this method to be called.
     */
    public void actionPerformed(ActionEvent evt) {
	dispose();
    }
}
