package rand.asset_forfeiture;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/** A small improvement on the DefaultCellEditor that selects all the
 * contents of the cell when the user begins to edit. This makes the
 * JTable act more like excel, which will make it a lot easier for
 * users to learn.
 */ 
public class MyTextBoxEditor extends DefaultCellEditor {

    /** The only constructor just calls the super with a new
     * JTextField.
     */
    public MyTextBoxEditor() {
        super(new JTextField());
    }
 
    /** This is the only method override and does the work of
     * selecting the contents of the cell.
     *
     * \param table the JTable in question
     * \param value the value of the cell
     * \param isSelected true if the cell is selected
     * \param row the row of the cell in table
     * \param column the column of the cell in table
     * 
     * \returns The component obtained via super.getTableCellEditor
     */
    public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column) {
        Component comp = super.getTableCellEditorComponent(table, value, isSelected, row, column);
        ((JTextField)comp).selectAll();
        return comp;
    }

}