package rand.asset_forfeiture;

public enum States {
    Alabama, Alaska, Arizona, Arkansas, California, Colorado,
	Connecticut, Delaware, District_of_Columbia, Florida, Georgia,
	Hawaii, Idaho, Illinois, Indiana, Iowa, Kansas, Kentucky,
	Louisiana, Maine, Maryland, Massachusetts, Michigan,
	Minnesota, Mississippi, Missouri, Montana, Nebraska, Nevada,
	New_Hampshire, New_Jersey, New_Mexico, New_York,
	North_Carolina, North_Dakota, Ohio, Oklahoma, Oregon,
	Pennsylvania, Rhode_Island, South_Carolina, South_Dakota,
	Tennessee, Texas, Utah, Vermont, Virginia, Washington,
	West_Virginia, Wisconsin, Wyoming, New_England,
	Middle_Atlantic, East_South_Central, South_Atlantic,
	East_North_Central, West_North_Central, West_South_Central,
	Mountain, Pacific;

    public static States fromString(String v) {

	for(States s: States.values()) {
	    String stateString = s.toString();
	    stateString = stateString.replaceAll("_"," ");
	    if(v.contentEquals(stateString))
		return s;
	}
	throw(new IllegalArgumentException(v + " is not a state."));
    }

    public States getRegion() {
	switch(this) {
	case Alabama: return East_South_Central;
	case Alaska: return Pacific;
	case Arizona: return Mountain;
	case Arkansas: return West_South_Central;
	case California: return Pacific;
	case Colorado: return Mountain;
	case Connecticut: return New_England;
	case Delaware: return South_Atlantic;
	case District_of_Columbia: return South_Atlantic;
	case Florida: return South_Atlantic;
	case Georgia: return South_Atlantic;
	case Hawaii: return Pacific;
	case Idaho: return Mountain;
	case Illinois: return East_North_Central;
	case Indiana: return East_North_Central;
	case Iowa: return West_North_Central;
	case Kansas: return West_North_Central;
	case Kentucky: return East_South_Central;
	case Louisiana: return West_South_Central;
	case Maine: return New_England;
	case Maryland: return South_Atlantic;
	case Massachusetts: return New_England;
	case Michigan: return East_North_Central;
	case Minnesota: return West_North_Central;
	case Mississippi: return East_South_Central;
	case Missouri: return West_North_Central;
	case Montana: return Mountain;
	case Nebraska: return West_North_Central;
	case Nevada: return Mountain;
	case New_Hampshire: return New_England;
	case New_Jersey: return Middle_Atlantic;
	case New_Mexico: return Mountain;
	case New_York: return Middle_Atlantic;
	case North_Carolina: return South_Atlantic;
	case North_Dakota: return West_North_Central;
	case Ohio: return East_North_Central;
	case Oklahoma: return West_South_Central;
	case Oregon: return Pacific;
	case Pennsylvania: return Middle_Atlantic;
	case Rhode_Island: return New_England;
	case South_Carolina: return South_Atlantic;
	case South_Dakota: return West_North_Central;
	case Tennessee: return East_South_Central;
	case Texas: return West_South_Central;
	case Utah: return Mountain;
	case Vermont: return New_England;
	case Virginia: return South_Atlantic;
	case Washington: return Pacific;
	case West_Virginia: return South_Atlantic;
	case Wisconsin: return East_North_Central;
	case Wyoming: return Mountain;
	default: return this;
	}
    }
}